# Uses of Class
org.apache.lucene.queryparser.flexible.core.nodes.MatchAllDocsQueryNode

Packages that use MatchAllDocsQueryNode
Package
Description
org.apache.lucene.queryparser.flexible.core.nodes
Query nodes commonly used by query parser implementations.

- ## Uses of MatchAllDocsQueryNode in org.apache.lucene.queryparser.flexible.core.nodes

  Methods in org.apache.lucene.queryparser.flexible.core.nodes that return MatchAllDocsQueryNode
  Modifier and Type
  Method
  Description
  `MatchAllDocsQueryNode`
  MatchAllDocsQueryNode.`cloneTree()`